package domain_test

import (
	"testing"

	"gitea.dwysokinski.me/twhelp/dcbot/internal/domain"
	"github.com/stretchr/testify/assert"
)

func TestNewPaginationPageID(t *testing.T) {
	t.Parallel()

	id := domain.NewPaginationPageID(15, []byte("data"))
	assert.NotEmpty(t, id.String())
	assert.False(t, id.IsZero())
}
